edu.ucsb.nceas.metacat

## Class CommentNode

- java.lang.Object
- - edu.ucsb.nceas.metacat.BasicNode
  - - edu.ucsb.nceas.metacat.CommentNode

-     public class CommentNode
      extends BasicNode

  A Class that represents an XML Comment node and its contents,

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentNode(long nodeid, long parentnodeid, java.lang.String nodedata)` Construct a new CommentNode instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeData()` Get the node data as a string value
    `void` | `setNodeData(java.lang.String nodedata)` Set the node data to the given string
    `java.lang.String` | `toString()` String representation of this text node

    - ### Methods inherited from class edu.ucsb.nceas.metacat.BasicNode

      `addChildNode, getAttribute, getAttributes, getChildren, getDocID, getNamespace, getNodeID, getNodeIndex, getNodeType, getParentID, getRootNodeID, getTagName, incChildNum, setAttribute, setDocID, setNamespace, setNodeID, setNodeIndex, setNodeType, setParentID, setRootNodeID, setTagName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentNode

          public CommentNode(long nodeid,
                             long parentnodeid,
                             java.lang.String nodedata)

      Construct a new CommentNode instance
      Parameters:
        `nodeid` - the element_id for the node to be created
        `parentnodeid` - the id of the parent node
        `nodedata` - the text of the node
        `nodetype` - the type of the node

  - ### Method Detail

    - #### setNodeData

          public void setNodeData(java.lang.String nodedata)

      Set the node data to the given string

    - #### getNodeData

          public java.lang.String getNodeData()

      Get the node data as a string value

    - #### toString

          public java.lang.String toString()

      String representation of this text node
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2023 Regents of the University of California. All Rights Reserved.